function hitters = islr_get_hitters()

    % Read the ISLR "Hitters" dataset from islr_hitters.csv as a table
    % Not good: hitters_all = readtable('islr_hitters.csv');
    hitters_all = readtable('islr_hitters.csv', 'ReadRowNames', true, 'TreatAsEmpty', 'NA');
    
    % Remove missing values
    missing_idx = ismissing(hitters_all);  % boolean matrix of trues in place of missing values
    missing_row_idx = any(missing_idx, 2);  % column vector of trues in place of rows with some missing values
    hitters = hitters_all(~missing_row_idx,:);  % select only those rows that have no missing values
    
    fprintf('Original ISLR Hitters dataset is %d x %d\n', size(hitters_all));
    fprintf('Hitters with missing salary: %d\n', sum(isnan(hitters_all.Salary)));

    fprintf('Cleaned ISLR Hitters dataset is %d x %d\n', size(hitters));
    fprintf('Hitters with missing salary: %d\n', sum(isnan(hitters.Salary)));
end

